### Method

# Camel MimeParser dup_headers

since: 3.24

#### Declaration [src]

    CamelNameValueArray*
    camel_mime_parser_dup_headers (
      CamelMimeParser* m
    )

#### Description [src]

Get the list of the raw headers which are defined for the current state of the parser. These headers are valid until the next call to camel_mime_parser_step(), or camel_mime_parser_drop_step().

Available since: 3.24

#### Return value

Type: `CamelNameValueArray`

The headers, or `NULL`, if there are no headers defined for the current part or state. Free it with camel_name_value_array_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.